Skip to main content
POST
/
api
/
update_user_group
curl --location --request POST 'https://api.explo.co/api/update_user_group/' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>' \
--data-raw '{
    "user_group_id": "example_1",
    "name": "Example 1",
    "mapping": {"40": "213", "134": "386"},
    "properties": {"filterValue": "value"}
}'
{
  "success": 1,
  "user_group": {
    "team_id": 113,
    "token": "<customer_token_to_auth_dashboard>",
    "name": "Example 1",
    "provided_id": "example_1",
    "is_demo_group": false
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.explo.co/llms.txt

Use this file to discover all available pages before exploring further.

The End User Group API is now deprecated and has been replaced by the Customer API. Each End User Group entity corresponds to a Customer entity, with its user_group_id corresponding to a Customer customer_id.This API method has been replaced by Update Customer.
This endpoint updates an existing user group.

Body

name
string
This is the name of the user group.
user_group_id
string
This is the ID you use to identify this user group in your database.
mapping
object
This is a JSON mapping of schema id to either the data source that this user group should be associated with or id of the datasource you provided when creating it.
is_demo_group
boolean
Set this boolean parameter to true to make data panels include a demo watermark for the user group. Demo user groups do not count towards paid user groups. Default value is false.
properties
object
This is a JSON object for properties assigned to this user group. These will be accessible through variables in the dashboards and SQL editor

Response

success
number
Indicates whether the call was successful. 1 if successful, 0 if not.
user_group
object
The contents of the user group
curl --location --request POST 'https://api.explo.co/api/update_user_group/' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>' \
--data-raw '{
    "user_group_id": "example_1",
    "name": "Example 1",
    "mapping": {"40": "213", "134": "386"},
    "properties": {"filterValue": "value"}
}'
{
  "success": 1,
  "user_group": {
    "team_id": 113,
    "token": "<customer_token_to_auth_dashboard>",
    "name": "Example 1",
    "provided_id": "example_1",
    "is_demo_group": false
  }
}